# Get payment processors

Endpoint: GET /payment-processors
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Query parameters:

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

  - `sortBy` (array)
    The data attributes by which to sort the results.

  - `isSettlementRequired` (boolean)
    Filter payment processors by whether settlement is required. When omitted, processors are not filtered on this field.

  - `status` (string)
    Filter payment processors by status. When omitted, processors are not filtered on status (deprecated ones remain excluded).

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (array)

  - `data.fundingInstruments` (array)
    The funding instruments that are associated with the payment processor.

  - `data.fundingInstruments.id` (string)

  - `data.fundingInstruments.status` (string)
    Status of the funding instrument.
- `active` - the instrument can be used for reconciliation payments.
- `pending` - the instrument is pending to be verified.
- `inactive` - the instrument is not active and cannot be used for reconciliation payments.
    Enum: "active", "inactive", "pending"

  - `data.paymentTypes` (array)
    The payment types that will be processed by the payment processor. Currently, `ach` is supported only.

  - `data.processorType` (string)
    The type of payment processor.
- `achDirectUS` - Peach system will create NACHA files and upload directly to lender's bank SFTP.
    Enum: "achDirectUS"

  - `data.isExternal` (boolean)
    When `true`, the payment processor is external to Peach-managed ACH processing.

  - `data.isSettlementRequired` (boolean)
    When `true`, this payment processor participates in Peach investor settlement
(transfer creation, reconciliation funding, and settlement NACHA generation).
The value is set only at processor creation (defaults to `false`) and cannot be
changed afterward.

  - `data.successfulStatusTransition` (object)

  - `data.successfulStatusTransition.dayType` (string)
    Whether day field refers to weekends and holidays or only business days.
    Enum: "business", "calendar"

  - `data.successfulStatusTransition.numDays` (integer)

